/*
██╗  ██╗ █████╗ ██╗   ██╗███████╗███╗   ██╗    ███╗   ███╗ ██████╗ ██████╗ ██████╗  █████╗  ██████╗██╗  ██╗███████╗
██║  ██║██╔══██╗██║   ██║██╔════╝████╗  ██║    ████╗ ████║██╔═══██╗██╔══██╗██╔══██╗██╔══██╗██╔════╝██║ ██╔╝██╔════╝
███████║███████║██║   ██║█████╗  ██╔██╗ ██║    ██╔████╔██║██║   ██║██║  ██║██████╔╝███████║██║     █████╔╝ ███████╗
██╔══██║██╔══██║╚██╗ ██╔╝██╔══╝  ██║╚██╗██║    ██║╚██╔╝██║██║   ██║██║  ██║██╔═══╝ ██╔══██║██║     ██╔═██╗ ╚════██║
██║  ██║██║  ██║ ╚████╔╝ ███████╗██║ ╚████║    ██║ ╚═╝ ██║╚██████╔╝██████╔╝██║     ██║  ██║╚██████╗██║  ██╗███████║
╚═╝  ╚═╝╚═╝  ╚═╝  ╚═══╝  ╚══════╝╚═╝  ╚═══╝    ╚═╝     ╚═╝ ╚═════╝ ╚═════╝ ╚═╝     ╚═╝  ╚═╝ ╚═════╝╚═╝  ╚═╝╚══════╝
*/
ServerEvents.recipes(event => {
    event.remove('easy_villagers:trader')
    event.remove('easy_villagers:auto_trader')
    event.remove('easy_villagers:farmer')
    event.remove('easy_villagers:breeder')
    event.remove('easy_villagers:converter')
    event.remove('easy_villagers:iron_farm')
    event.remove('easy_villagers:incubator')
    event.remove('easy_piglins:barterer')

    event.shaped('easy_villagers:trader', ['AAA', 'ABA', 'CCC'], {
        A: '#forge:glass/colorless',
        B: '#forge:storage_blocks/redstone',
        C: '#forge:storage_blocks/osmium'
    });

    event.shaped('easy_villagers:auto_trader', ['AAA', 'ABA', 'CDC'], {
        A: '#forge:glass/colorless',
        B: '#forge:storage_blocks/redstone',
        C: '#forge:storage_blocks/steel',
        D: '#forge:storage_blocks/netherite'
    });

    event.shaped('easy_villagers:farmer', ['AAA', 'ABA', 'CDC'], {
        A: '#forge:glass/colorless',
        B: 'thermal:watering_can',
        C: '#forge:storage_blocks/iron',
        D: 'mysticalagriculture:tertium_farmland'
    });

    event.shaped('easy_villagers:breeder', ['AAA', 'ABA', 'CDC'], {
        A: '#forge:glass/colorless',
        B: '#minecraft:beds',
        C: '#forge:storage_blocks/iron',
        D: '#forge:storage_blocks/emerald'
    });

    event.shaped('easy_villagers:converter', ['AAA', 'ABA', 'CDC'], {
        A: '#forge:glass/colorless',
        B: 'minecraft:zombie_head',
        C: '#forge:storage_blocks/iron',
        D: '#forge:cobblestone/mossy'
    });

    event.shaped('easy_villagers:iron_farm', ['AAA', 'ABA', 'CDC'], {
        A: '#forge:glass/colorless',
        B: 'minecraft:lava_bucket',
        C: '#forge:storage_blocks/iron',
        D: '#forge:storage_blocks/steel'
    });

    event.shaped('easy_villagers:incubator', ['AAA', 'A A', 'BCB'], {
        A: '#forge:glass/colorless',
        B: '#forge:storage_blocks/iron',
        C: '#thermal:rockwool'
    });

    event.shaped('easy_piglins:barterer', ['AAA', 'ABA', 'DCD'], {
        A: '#forge:glass/colorless',
        B: '#forge:storage_blocks/rose_gold',
        C: '#forge:storage_blocks/signalum',
        D: 'minecraft:red_nether_bricks'
    });
});
